Skip to main content
DELETE
Detach a tool from a dynamic subagent

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

agent_id
string
required

Your own agent's ID (kebab-case slug), or the UUID of a custom agent: one you own, or a team-shared agent you can run (the id GET /api/v1/agents returns for it).

tool_id
string
required

Tool UUID, your own tool slug (snake_case or kebab-case, e.g. "github_get_pr"), or team_<uuid without dashes> for a tool in a toolkit shared with your team.

Response

Detached